Buteo Synchronization Framework: SyncDBusAdaptor Class Reference

Buteo Synchronization Framework

Public Slots | Signals | List of all members
SyncDBusAdaptor Class Reference
Inheritance diagram for SyncDBusAdaptor:

## Public Slots
Q_NOREPLY void | abortSync (const QString &aProfileId)
QStringList | allVisibleSyncProfiles ()
bool | getBackUpRestoreState ()
QString | getLastSyncResult (const QString &aProfileId)
bool | isConnectivityAvailable (int connectivityType)
Q_NOREPLY void | releaseStorages (const QStringList &aStorageNames)
bool | removeProfile (const QString &aProfileId)
bool | requestStorages (const QStringList &aStorageNames)
QStringList | runningSyncs ()
bool | saveSyncResults (const QString &aProfileId, const QString &aSyncResults)
bool | setSyncSchedule (const QString &aProfileId, const QString &aScheduleAsXml)
Q_NOREPLY void | start (uint aAccountId)
bool | startSync (const QString &aProfileId)
int | status (uint aAccountId, int &aFailedReason, qlonglong &aPrevSyncTime, qlonglong &aNextSyncTime)
Q_NOREPLY void | stop (uint aAccountId)
QString | syncProfile (const QString &aProfileId)
QStringList | syncProfilesByKey (const QString &aKey, const QString &aValue)
QStringList | syncProfilesByType (const QString &aType)
QList< uint > | syncingAccounts ()
bool | updateProfile (const QString &aProfileAsXml)
Q_NOREPLY void | isSyncedExternally (uint aAccountId, const QString aClientProfileName)
QString | createSyncProfileForAccount (uint aAccountId)

## Signals
void | backupDone ()
void | backupInProgress ()
void | restoreDone ()
void | restoreInProgress ()
void | resultsAvailable (const QString &aProfileName, const QString &aResultsAsXml)
void | signalProfileChanged (const QString &aProfileName, int aChangeType, const QString &aProfileAsXml)
void | statusChanged (uint aAccountId, int aNewStatus, int aFailedReason, qlonglong aPrevSyncTime, qlonglong aNextSyncTime)
void | syncStatus (const QString &aProfileName, int aStatus, const QString &aMessage, int aMoreDetails)
void | transferProgress (const QString &aProfileName, int aTransferDatabase, int aTransferType, const QString &aMimeType, int aCommittedItems)
void | syncedExternallyStatus (uint aAccountId, const QString &aClientProfileName, bool aState)

The documentation for this class was generated from the following files:

- SyncDBusAdaptor.h
- moc_SyncDBusAdaptor.cpp
- SyncDBusAdaptor.cpp